| Version: 3.1.5

Classes | Macros | Enumerations
dynlib.h File Reference

## Classes
class | wxDynamicLibraryDetails
| This class is used for the objects returned by the wxDynamicLibrary::ListLoaded() method and contains the information about a single module loaded into the address space of the current process. More...
class | wxDynamicLibrary
| wxDynamicLibrary is a class representing dynamically loadable library (Windows DLL, shared library under Unix etc). More...

## Macros
#define | wxDYNLIB_FUNCTION(type, name, dynlib)
| When loading a function from a DLL you always have to cast the returned `void *` pointer to the correct type and, even more annoyingly, you have to repeat this type twice if you want to declare and define a function pointer all in one line. More...

## Enumerations
enum | wxDynamicLibraryCategory { wxDL_LIBRARY , wxDL_MODULE }
| Dynamic library category used with wxDynamicLibrary::CanonicalizeName(). More...
enum | wxPluginCategory { wxDL_PLUGIN_GUI , wxDL_PLUGIN_BASE }
| Dynamic library plugin category used with wxDynamicLibrary::CanonicalizePluginName(). More...

## Macro Definition Documentation

## ◆ wxDYNLIB_FUNCTION

#define wxDYNLIB_FUNCTION | ( |  | type,
|  |  | name,
|  |  | dynlib
| ) |  |

When loading a function from a DLL you always have to cast the returned `void *` pointer to the correct type and, even more annoyingly, you have to repeat this type twice if you want to declare and define a function pointer all in one line.

This macro makes this slightly less painful by allowing you to specify the type only once, as the first parameter, and creating a variable of this type named after the function but with `pfn` prefix and initialized with the function name from the wxDynamicLibrary dynlib.

Parameters

  type | The type of the function.
  name | The name of the function to load, not a string (without quotes, it is quoted automatically by the macro).
  dynlib | The library to load the function from.

Include file:

    #include <wx/dynlib.h>

## Enumeration Type Documentation

## ◆ wxDynamicLibraryCategory

enum wxDynamicLibraryCategory

Dynamic library category used with wxDynamicLibrary::CanonicalizeName().

Enumerator
wxDL_LIBRARY | Standard library.
wxDL_MODULE | Loadable module/plugin.

## ◆ wxPluginCategory

enum wxPluginCategory

Dynamic library plugin category used with wxDynamicLibrary::CanonicalizePluginName().

Enumerator
wxDL_PLUGIN_GUI | Plugin that uses GUI classes.
wxDL_PLUGIN_BASE | wxBase-only plugin.